2763|5

106

帖子

2

资源

一粒金砂(中级)

MSP430FR2433LaunchPad下载失败问题的解决 [复制链接]

实验条件:
硬件平台:MSP430FR2433LaunchPad
IDE:CCS6.1.1
系统:WIN10Pro最新版
问题:在CCS6.1.1环境下,插上MSP430FR2433开发板之后,检查驱动正常
QQ截图20180205161054.jpg
使用MSP430Ware插件生成点灯工程
QQ截图20180205161206.jpg
成功编译工程,无错误无警告。但点击Debug按钮提示仿真错误。
QQ截图20180205161703.jpg
"Error initializing emulator:Could not set device Vcc"
原因:CCS6.1.1版本的MSP430.DLL文件版本为3.4.3.4,所在目录为
C:\ti\ccsv6\ccs_base\DebugServer\drivers,
使用TI官网的MSP430_DLL_Developer(软件包见附件)识别LaunchPad上的仿真器版本发现为最新的3.11.0.0。
QQ截图20180205162415.jpg
两个版本不匹配,无法进行下载操作。
解决办法:
1)尝试下载低版本的MSP430_DLL_Developer无法成功刷新仿真器固件。
QQ截图20180205162339.jpg
2)将低版本.DLL文件打包压缩,使用高版本的MSP430.DLL替换CCS仿真器目录下的MSP430.DLL文件
QQ截图20180205162743.jpg
下载成功~
附件:
附件上传到下载中心了。。还没有审核。。


回复

2268

帖子

0

资源

纯净的硅(高级)

不建议这么操作,还是升级ccs比较实在,虽然之前IAR也这么干过

点评

这也是权宜折中的考虑呀  详情 回复 发表于 2018-2-27 13:11

回复

2831

帖子

8

资源

版主

升级最新的CCS不是更省事一点嘛!

点评

我在7.2版本,6.13版本,6.12版本,6.11版本中权衡了好久。 6.1.2版本以后装不上Grace了,我的6.1.2版本进不去APPCenter。 6.1.1版本是兼容Grace的,而且能够进APPCenter。  详情 回复 发表于 2018-2-27 13:13

回复

106

帖子

2

资源

一粒金砂(中级)

数码小叶 发表于 2018-2-6 21:15
不建议这么操作,还是升级ccs比较实在,虽然之前IAR也这么干过

这也是权宜折中的考虑呀

回复

106

帖子

2

资源

一粒金砂(中级)

strong161 发表于 2018-2-7 09:21
升级最新的CCS不是更省事一点嘛!

我在7.2版本,6.13版本,6.12版本,6.11版本中权衡了好久。
6.1.2版本以后装不上Grace了,我的6.1.2版本进不去APPCenter。
6.1.1版本是兼容Grace的,而且能够进APPCenter。

回复

106

帖子

2

资源

一粒金砂(中级)

今天回学校了,刚刚连上网,发现附件已经审核通过了。地址附在下面了。
http://download.eeworld.com.cn/detail/freedom_lq/566716

回复
您需要登录后才可以回帖 登录 | 注册

最新文章 更多>>
    关闭
    站长推荐上一条 1/6 下一条

    About Us 关于我们 客户服务 联系方式 器件索引 网站地图 最新更新 手机版

    站点相关: 安防电子 汽车电子 手机便携 工业控制 家用电子 医疗电子 测试测量 网络通信 物联网

    北京市海淀区知春路23号集成电路设计园量子银座1305 电话:(010)82350740 邮编:100191

    电子工程世界版权所有 京ICP证060456号 京ICP备10001474号 电信业务审批[2006]字第258号函 京公海网安备110108001534 Copyright © 2005-2020 EEWORLD.com.cn, Inc. All rights reserved
    快速回复 返回顶部 返回列表